import request from '@/utils/request'

// 查询aiSIP外呼通话记录列表
export function listAiSipCallPhone(query) {
  return request({
    url: '/company/aiSipCall/phone/list',
    method: 'get',
    params: query
  })
}

// 查询aiSIP外呼通话记录详细
export function getAiSipCallPhone(id) {
  return request({
    url: '/company/aiSipCall/phone/' + id,
    method: 'get'
  })
}

// 新增aiSIP外呼通话记录
export function addAiSipCallPhone(data) {
  return request({
    url: '/company/aiSipCall/phone',
    method: 'post',
    data: data
  })
}

// 修改aiSIP外呼通话记录
export function updateAiSipCallPhone(data) {
  return request({
    url: '/company/aiSipCall/phone',
    method: 'put',
    data: data
  })
}

// 删除aiSIP外呼通话记录
export function delAiSipCallPhone(id) {
  return request({
    url: '/company/aiSipCall/phone/' + id,
    method: 'delete'
  })
}

// 导出aiSIP外呼通话记录
export function exportAiSipCallPhone(query) {
  return request({
    url: '/company/aiSipCall/phone/export',
    method: 'get',
    params: query
  })
}
// 同步aiSIP外呼通话记录
export function manualPull() {
  return request({
    url: '/company/aiSipCall/phone/manualPull',
    method: 'get'
  })
}

